summaryrefslogtreecommitdiffstats
path: root/network
diff options
context:
space:
mode:
author Giorgio Peron <giorgio.peron@gmail.com>2014-08-03 12:55:16 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2014-08-03 12:55:16 +0700
commitbab48b430884ce36e4e6798e053cc4ea4da1129f (patch)
tree0ed2f143fdaea19d4d067750f0e39343eb4ac894 /network
parent6322d81f3c3b0b6d276c599c38b5704ccb4945f7 (diff)
downloadslackbuilds-bab48b430884ce36e4e6798e053cc4ea4da1129f.tar.gz
slackbuilds-bab48b430884ce36e4e6798e053cc4ea4da1129f.tar.xz
network/dokuwiki: Added (simple wiki).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'network')
-rw-r--r--network/dokuwiki/README12
-rw-r--r--network/dokuwiki/dokuwiki.SlackBuild67
-rw-r--r--network/dokuwiki/dokuwiki.info10
-rw-r--r--network/dokuwiki/slack-desc19
4 files changed, 108 insertions, 0 deletions
diff --git a/network/dokuwiki/README b/network/dokuwiki/README
new file mode 100644
index 0000000000..98b8e72e42
--- /dev/null
+++ b/network/dokuwiki/README
@@ -0,0 +1,12 @@
+DokuWiki is a simple to use and highly versatile Open Source wiki
+software that doesn't require a database. It is loved by users for
+its clean and readable syntax. The ease of maintenance, backup and
+integration makes it an administrator's favorite. Built in access
+controls and authentication connectors make DokuWiki especially
+useful in the enterprise context and the large number of plugins
+contributed by its vibrant community allow for a broad range of use
+cases beyond a traditional wiki.
+
+Note:
+You must add this line in your httpd.conf to enable dokuwiki:
+Include /etc/httpd/extra/httpd-dokuwiki.conf
diff --git a/network/dokuwiki/dokuwiki.SlackBuild b/network/dokuwiki/dokuwiki.SlackBuild
new file mode 100644
index 0000000000..13d2926e6a
--- /dev/null
+++ b/network/dokuwiki/dokuwiki.SlackBuild
@@ -0,0 +1,67 @@
+#!/bin/sh
+# Slackware build script for dokuwiki
+
+# Copyright 2014 Giorgio Peron <giorgio.peron@gmail.com>, Campodarsego, PD, Italy
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=${PRGNAM:-dokuwiki}
+VERSION=${VERSION:-20140505a}
+SRCVERSION=${SRCVERSION:-2014-05-05a}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+ARCH=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$SRCVERSION
+tar xvzf $CWD/$PRGNAM-$SRCVERSION.tgz
+
+mkdir -p $PKG/var/www/$PRGNAM
+mv $TMP/$PRGNAM-$SRCVERSION/* $PKG/var/www/$PRGNAM/
+chown -R apache:apache $PKG/var/www/$PRGNAM/
+mkdir -p $PKG/etc/httpd/extra
+
+cat > $PKG/etc/httpd/extra/httpd-dokuwiki.conf <<'EOF'
+Alias /dokuwiki /srv/www/dokuwiki
+<Directory /srv/www/dokuwiki/>
+ Options +FollowSymLinks
+ AllowOverride All
+ Require all granted
+ php_admin_value open_basedir "/srv/www/:/srv/www/dokuwiki/lib/"
+</Directory>
+EOF
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/dokuwiki/dokuwiki.info b/network/dokuwiki/dokuwiki.info
new file mode 100644
index 0000000000..7cf72f0fae
--- /dev/null
+++ b/network/dokuwiki/dokuwiki.info
@@ -0,0 +1,10 @@
+PRGNAM="dokuwiki"
+VERSION="20140505a"
+HOMEPAGE="https://www.dokuwiki.org/dokuwiki"
+DOWNLOAD="http://download.dokuwiki.org/src/dokuwiki/dokuwiki-2014-05-05a.tgz"
+MD5SUM="fb44f206d1550921c640757599e90bb9"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Giorgio Peron"
+EMAIL="giorgio.peron@gmail.com"
diff --git a/network/dokuwiki/slack-desc b/network/dokuwiki/slack-desc
new file mode 100644
index 0000000000..81dabd64a6
--- /dev/null
+++ b/network/dokuwiki/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+dokuwiki: DokuWiki (simple wiki)
+dokuwiki:
+dokuwiki: DokuWiki is a simple to use and highly versatile Open Source wiki
+dokuwiki: software that doesn't require a database. It is loved by users for
+dokuwiki: its clean and readable syntax. The ease of maintenance, backup and
+dokuwiki: integration makes it an administrator's favorite. Built in access
+dokuwiki: controls and authentication connectors make DokuWiki especially
+dokuwiki: useful in the enterprise context and the large number of plugins
+dokuwiki: contributed by its vibrant community allow for a broad range of use
+dokuwiki: cases beyond a traditional wiki.
+dokuwiki: Homepage: https://www.dokuwiki.org/dokuwiki